﻿using System;

namespace Cyotek.Web.Trackback
{
/// <summary>
/// Information about a trackback.
/// </summary>
public struct TrackbackInfo
{
  #region  Public Properties

  /// <summary>
  /// Gets or sets the name of the blog or website making the trackback request.
  /// </summary>
  /// <value>The name of the blog or website making the trackback request.</value>
  public string BlogName { get; set; }

  /// <summary>
  /// Gets or sets an excerpt of the website making the trackback request.
  /// </summary>
  /// <value>The excerpt of the website making the trackback request.</value>
  public string Excerpt { get; set; }

  /// <summary>
  /// Gets or sets the ID of the item being tracked.
  /// </summary>
  /// <value>The ID of the item being tracked.</value>
  public string Id { get; set; }

  /// <summary>
  /// Gets or sets the title of the page making the trackback request.
  /// </summary>
  /// <value>The title of the page making the trackback request.</value>
  public string Title { get; set; }

  /// <summary>
  /// Gets or sets the URI of the website making the trackback request.
  /// </summary>
  /// <value>The URI of the website making the trackback request.</value>
  public Uri Uri { get; set; }

  #endregion  Public Properties
}
}
